This project demonstrates displaying the value of target-side global variables that are accessed via UART commands to a monitor running on the target.

Please see [this E2E post](https://e2e.ti.com/support/microcontrollers/msp430/f/166/p/603179/2236629#2236629) for more details.

To run this demo, please plug in your MSP430G2553 launchpad into your PC and refresh this page.  You should see the LED indicator flash in time with the LED on your board.

To create the target program, please do the following in CCS Desktop:
* File / New / Project 
   * select Energia / Energia Sketch
* Provide a Project Name and set the device to MSP430 Launchpad w/ msp430g2553
* in the Sketch templates and examples section, browse to Target Library Examples / Serial_cmd_monitor / ToggleLED.ino
* click Finish.
* rework the .ino file as follows:
   * in the //globals section,
     * change __int toggleState=0__ to __volatile int toggleState=0__
     * add the following global variable definition: __volatile long waitCtr=0;__

  * change the toggleLed function to the following: 
```
void ToggleLed()
{
    if (waitCtr == 0){
        waitCtr = 0x40000;
        if (toggleState) {
            digitalWrite(RED_LED, LOW);   // set the LED on
        }
        else {
            digitalWrite(RED_LED, HIGH);    // set the LED off
        }
        toggleState = !toggleState;
    } else {
        waitCtr--;
    }
}
```
* the LED tile value is bound to __toggleState__
* the waitCtr value tile string is bound to __waitCtr__

To show this help again, please select Help / Readme.MD from the 'hamburger' menu in the upper left of the title bar.
